%define version 0.8.0
%define release alt1
%define origname TwistedConch
%setup_python_module twisted-conch

Name:           %{packagename}
Version:        %{version}
Release:        %{release}
Summary:        Twisted SSHv2 implementation

Group:          Development/Python
License:        MIT
URL:            http://twistedmatrix.com/trac/wiki/TwistedConch
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/Conch/0.8/%{origname}-%{version}.tar.bz2 

BuildRequires:  python-module-twisted-core >= 2.5.0
BuildRequires:  python-devel

Requires:       python-module-twisted-core
Requires:       python-module-Crypto


%description
Twisted is an event-based framework for internet applications.

Conch is an SSHv2 implementation written in Python. SSH is a protocol designed
to allow remote access to shells and commands, but it is generic enough to
allow everything from TCP forwarding to generic filesystem access. Since conch
is written in Python, it interfaces well with other Python projects, such as
Imagination. Conch also includes a implementations of the telnet and vt102
protocols, as well as support for rudamentary line editing behaviors. A new
implementation of Twisted's Manhole application is also included, featuring
server-side input history and interactive syntax coloring.

%prep
%setup -q -n %{origname}-%{version}

find doc -name \*.py | xargs chmod a-x

%build
%__python setup.py build

%install
%__python setup.py install --root $RPM_BUILD_ROOT

# Man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
cp -a doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -rf doc/man

%clean

%files
%defattr(-,root,root,-)
%doc README LICENSE NEWS doc/*
%{_mandir}/man1/*
%{_bindir}/cftp
%{_bindir}/ckeygen
%{_bindir}/conch
%{_bindir}/tkconch

%{python_sitelibdir}/twisted/conch/

%{python_sitelibdir}/twisted/plugins/twisted_conch.py*

%changelog
* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.8.0-alt1
- Build for new upstream version
